
<%
/************************************************************@@
  * Program Name	: doc_list.jsp
  * Description		: /집계자/내문서함/등록함/문서 목록
  * Author				: 강원중
  * Create Date		: 2004.10.11
  * History				:
@@************************************************************/
%>

<%@ page contentType="text/html; charset=UTF-8"
	import="kr.co.kihyun.beans.user.UserView"
	import="kr.co.kihyun.beans.user.DeptView" import="java.net.URLDecoder"
	import="kr.co.kihyun.lang.MInteger"
	import="kr.co.kihyun.beans.totsys.doc.Doc"
	import="kr.co.kihyun.lang.MString" import="kr.co.kihyun.lang.Encoder"
	import="kr.co.kihyun.lang.MLong"%>
<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>
<%
try{
	/******* Parameter *********/
	String userID = clearXSS(Encoder.toJava(request.getParameter("userID")),"");
	String deptID = request.getParameter("deptID");
	Long docID = MLong.parseLong(MString.checkNull(request.getParameter("docID")),null);
	int formName = MInteger.parseInt(request.getParameter("formName"));

	/***** doc getUserID *********/
	Doc doc = new Doc();
	if(docID != null){
		userID = doc.getRegisterID(docID);
		deptID = doc.getRegisterDept(docID);
	}


	/******* 집계자 정보 *********/	
	//String deptID = "";
	String deptName = "";
	String userName = "";
	String phone = "";
	String email = "";

	UserView userView = new UserView();
	if(deptID != null){
                //v2. 13.SQL 삽입 : userView.executeQuery()에서 prepare SQL 문으로 되어 있다.
		userView.executeQuery(userID,deptID);
                //=================
	}else{
                //v2. 13.SQL 삽입 : userView.executeQuery()에서 prepare SQL 문으로 되어 있다.
		userView.executeQuery(userID);
                //=================
	}
	DeptView deptView = new DeptView();
        //v2. 13.SQL 삽입 : deptView.executeQuery()에서 prepare SQL 문으로 되어 있다.
	deptView.executeQuery(deptID);
        //=================
	//deptID = userView.getDeptID();
	deptName = deptView.getName();
	userName = userView.getName();
	phone = userView.getPhone();
	email = userView.getEmail();

	if(phone==null) phone="";
	if(email==null) email="";

	%>



<tr>
	<td colspan="4">
	<table border="1" bordercolor="#abbddd" width="100%" cellpadding="0"
		cellspacing="0">
		<tr>
			<td colspan="3"></td>
			<td width="149" class="kecttep_tdmenu">&nbsp;<%if(formName == 1){%>등록자명<%}else{%>집계요청자<%}%>
			</td>
			<td width="326" style="padding-left: 15; padding-top: 4;"
				class="kecttep_table"><%= userName %>&nbsp;</td>
			<td width="149" class="kecttep_tdmenu">&nbsp;<%if(formName == 1){%>등록자
			ID<%}else{%>집계자 ID<%}%>
			</td>
			<td width="326" style="padding-left: 15; padding-top: 4;"
				class="kecttep_table">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3"></td>
			<td height="27" class="kecttep_tdmenu">&nbsp;요청 기관/부서</td>
			<td background="/totsys/common/images/tot_info_bg2.gif"
				style="padding-left: 15; padding-top: 4;" class="kecttep_table"><%= deptName %>&nbsp;</td>
			<td height="27" class="kecttep_tdmenu">&nbsp;전화번호</td>
			<td background="/totsys/common/images/tot_info_bg2.gif"
				style="padding-left: 15; padding-top: 4;" class="kecttep_table"><%= phone %>&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3"></td>
			<td class="kecttep_tdmenu">&nbsp;E-MAIL</td>
			<td style="padding-left: 15; padding-top: 4;" class="kecttep_table"><%= email %>&nbsp;</td>
			<td class="kecttep_tdmenu">&nbsp;기타</td>
			<td style="padding-left: 15; padding-top: 4;">&nbsp;</td>
		</tr>
	</table>
	</td>
</tr>
<!---- 집계자 정보 끝---->
<%
}catch(Exception ex){ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{	
}
%>
